Subject: Re: [siprec] Proposal for minor changes to metadata to support mixed stream and duplicated stream recording.

From: "Ravindran, Parthasarathi" <[email-masked]>
Date: Thu, 21 Jun 2012 01:11:52 +0000

Hi Andy,

>From SRC perspective, there are two streams towards RS with the same content and each stream has to have different unique id to differentiate with stream_id. The stream_id is not directly mapped with individual CS stream as it is not possible with mixed streams. The related current text in sec 6.7 of metadata draft is

"A Media Stream class (and its objects) has the properties of media as seen by SRC and sent to SRS."

Please let me know whether the text has to be updated for more clarity. Also, the open item here is "any attribute is required to indicate that two stream towards SRS are same"

Thanks
Partha

>-----Original Message-----
>From: Hutton, Andrew [mailto:[email-masked]]
>Sent: Wednesday, May 30, 2012 5:37 PM
>To: Ravindran, Parthasarathi
>Cc: [email-masked]; [email-masked]
>Subject: RE: [siprec] Proposal for minor changes to metadata to support
>mixed stream and duplicated stream recording.
>
>Hi Partha,
>
>Ok so why in your example do the two streams contain different
>stream_id's if they both are referring to the same stream within the CS?
>
>Regards
>Andy
>
>
>
>> -----Original Message-----
>> From: Ravindran, Parthasarathi [mailto:[email-masked]]
>> Sent: 30 May 2012 11:49
>> To: Hutton, Andrew; [email-masked]
>> Cc: [email-masked]
>> Subject: RE: [siprec] Proposal for minor changes to metadata to
>> support mixed stream and duplicated stream recording.
>>
>> Hi Andy,
>>
>> I think that we are in the same page. Duplication of single CS stream
>> into multiple RS stream is one of the usecase mentioned in the below
>> mail. Multiple label in "stream" element does not indicate the
>> duplication of the CS stream automatically. Apart from this, There is
>> a need of explicit grouping mechanism to say that two stream are
>> duplicate of each other.
>>
>> Thanks
>> Partha
>>
>> >-----Original Message-----
>> >From: Hutton, Andrew [mailto:[email-masked]]
>> >Sent: Tuesday, May 29, 2012 3:27 PM
>> >To: Ravindran, Parthasarathi; [email-masked]
>> >Cc: [email-masked]
>> >Subject: RE: [siprec] Proposal for minor changes to metadata to
>> support
>> >mixed stream and duplicated stream recording.
>> >
>> >Hi Partha,
>> >
>> >Before looking at your reasons in more detail I want to check we are
>> on
>> >the same page.
>> >
>> >The case I think we are discussing is recoding the same CS stream (m-
>> >line) in multiple m line streams of one RS. (i.e. a single CS stream
>> is
>> >duplicated in to multiple RS streams). Is this also your
>> >understanding
>> ?
>> >
>> >
>> >Regards
>> >Andy
>> >
>> >
>> >> -----Original Message-----
>> >> From: Ravindran, Parthasarathi [mailto:[email-masked]]
>> >> Sent: 28 May 2012 18:15
>> >> To: Hutton, Andrew; [email-masked]
>> >> Cc: [email-masked]
>> >> Subject: RE: [siprec] Proposal for minor changes to metadata to
>> >> support mixed stream and duplicated stream recording.
>> >>
>> >> Andy,
>> >>
>> >> Recording multiple m line in CS has to be represented as follows:
>> >>
>> >> 	<stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> 		session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> 		<label>99</label>
>> >> 	</stream>
>> >>       <stream stream_id=" EiXGlc+4TruqqoDaNE76ag=="
>> >> 		session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >>            <label>100</label>
>> >>       </stream>
>> >>
>> >> The reason for this approach in XML is due to the metadata model
>> >> constraints and the exact details are as follows:
>> >>
>> >> 1) Mapping of each individual label (SDP "m" line) to single stream
>> by
>> >> which participantstream's attributes will explain about the stream
>> >> correctly. Say video label attribute is added in the stream element
>> >> during mid-dialog whereas the session is established with audio
>> label
>> >> & stream, here video label association time is different from audio
>> >> label association time.
>> >>
>> >> 2) Partial update for each stream independently provide more
>> >> flexibility. (Add & Remove stream without impacting any other
>> stream).
>> >>
>> >> In case of multiple label exists within single stream as shown in
>> your
>> >> mail,
>> >>
>> >> 1) It is impossible to deduce the association and disassociation
>> time
>> >> of the individual label or SDP "m" line
>> >> 2) It is possible to have the wrong information like indicate one
>> >> of the stream in "recv" association whereas other stream is in
>"send"
>> >> association (Hypothetical scenario).
>> >>
>> >> So, stream XML element has to have single label attribute within
>> >> itself.
>> >>
>> >> Thanks
>> >> Partha
>> >>
>> >> >-----Original Message-----
>> >> >From: Hutton, Andrew [mailto:[email-masked]]
>> >> >Sent: Monday, May 28, 2012 7:46 PM
>> >> >To: Ravindran, Parthasarathi; [email-masked]
>> >> >Cc: [email-masked]
>> >> >Subject: RE: [siprec] Proposal for minor changes to metadata to
>> >> support
>> >> >mixed stream and duplicated stream recording.
>> >> >
>> >> >Hi All,
>> >> >
>> >> >I just want to make sure I understand the results of this
>> discussion
>> >> and
>> >> >whether we have consensus.
>> >> >
>> >> >I am assuming we have consensus to move to using "stream_id"
>> >> >rather
>> >> than
>> >> >"id" as this is what the XML experts are telling us is correct.
>> >> >
>> >> >Mixed Stream Recording
>> >> >=======================
>> >> >
>> >> >For the mixed stream scenario in which streams from two CS's are
>> >> >mixed in to a single RS stream then the following seems to be what
>> we
>> >> >have settled on.
>> >> >
>> >> >      <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >                    session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >                    <label>99</label>
>> >> >       </stream>
>> >> >      <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >                    session_id="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >                    <label>99</label>
>> >> >       </stream>
>> >> >
>> >> >
>> >> >Recoding same CS stream in multiple m line streams of 1 RS
>> >> >==========================================================
>> >> >
>> >> >I am not sure I have it right for this case but I think assuming
>> the
>> >> >change to use "stream_id" and "session_id" would result in the
>> >> >following:
>> >> >
>> >> >	<stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >		session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >		<label>99</label>
>> >> >		<label>100</label>
>> >> >	</stream>
>> >> >
>> >> >Do we have any issues with this?
>> >> >
>> >> >Regards
>> >> >Andy (SIPREC Co-Chair).
>> >> >
>> >> >
>> >> >
>> >> >
>> >> >> -----Original Message-----
>> >> >> From: [email-masked] [mailto:[email-masked]]
>> >> >> On Behalf Of Ravindran, Parthasarathi
>> >> >> Sent: 16 May 2012 08:30
>> >> >> To: Ravindran, Parthasarathi; [email-masked]
>> >> >> Cc: [email-masked]
>> >> >> Subject: Re: [siprec] Proposal for minor changes to metadata to
>> >> >> support mixed stream and duplicated stream recording.
>> >> >>
>> >> >> Hi all,
>> >> >>
>> >> >> In case there is no objection to the below proposal with
>> >> >> explicit id instead of "id" usage till 23rd May (Next
>> >> >> Wednesday), I think that
>> >> it
>> >> >> is better to incorporate in (-07) metadata draft as these
>> >> >> changes helps for the progresses of the metadata draft. Please
>> >> >> let me
>> know
>> >> >> your opinion on the same.
>> >> >>
>> >> >> Thanks
>> >> >> Partha
>> >> >>
>> >> >> >-----Original Message-----
>> >> >> >From: [email-masked] [mailto:[email-masked]]
>> On
>> >> >> Behalf
>> >> >> >Of Ravindran, Parthasarathi
>> >> >> >Sent: Monday, May 14, 2012 5:40 PM
>> >> >> >To: [email-masked]
>> >> >> >Cc: [email-masked]
>> >> >> >Subject: Re: [siprec] Proposal for minor changes to metadata to
>> >> >> support
>> >> >> >mixed stream and duplicated stream recording.
>> >> >> >
>> >> >> >John,
>> >> >> >
>> >> >> >My example is to show how to represent single stream in two CS
>> and
>> >> it
>> >> >> is
>> >> >> >as follows:
>> >> >> >
>> >> >> >      <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >                    session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >                    <label>99</label>
>> >> >> >       </stream>
>> >> >> >      <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >                    session_id=" zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >                    <label>99</label>
>> >> >> >       </stream>
>> >> >> >
>> >> >> >In the above example, Axzg12XHdhjelfjhdldjf;34jn78== is the
>> single
>> >> >> >stream id which is Used by two CS namely
>> >> zzlafnvvjlCHllaHF6mn8kkSS==
>> >> >> >& zSfPoSvdSDCmU3A3TRDxAw==.
>> >> >> >
>> >> >> >The trouble with multiple label in single stream is that the
>> >> handling
>> >> >> of
>> >> >> >participantstream association for each of the label
>> >> >> >individually
>> >> >> within
>> >> >> >the single stream element.
>> >> >> >
>> >> >> >Duplicate stream recording has to have separate streams to
>> >> >> >distinguish the actual & duplicate stream.
>> >> >> >
>> >> >> >
>> >> >> >Thanks
>> >> >> >Partha
>> >> >> >
>> >> >> >>-----Original Message-----
>> >> >> >>From: [email-masked] [mailto:[email-masked]]
>> >> >> >>Sent: Monday, May 14, 2012 5:22 PM
>> >> >> >>To: Ravindran, Parthasarathi
>> >> >> >>Cc: [email-masked]
>> >> >> >>Subject: RE: [siprec] Proposal for minor changes to metadata
>> >> >> >>to
>> >> >> support
>> >> >> >>mixed stream and duplicated stream recording.
>> >> >> >>
>> >> >> >>Partha,
>> >> >> >>
>> >> >> >>You are suggesting
>> >> >> >>>>>> <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session_id=" zSfPoSvdSDCmU3A3TRDxAw=="> <label>99</label>
>> >> >> ></stream>
>> >> >> >>>>>> <stream stream_id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session_id=" zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>100</label> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream stream_id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session_id="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>I am confused, what is the example you show supposed to
>> >> >> >>respresent
>> >> ?
>> >> >> >>
>> >> >> >>
>> >> >> >>To hark back to my original request, what is your objection to
>> >> >> >>the following, as it seems simpler to me than what you are
>> >suggesting:
>> >> >> >>
>> >> >> >>>>>> If we have a persistent RS with a single m-line, and a
>> >> >> >>>>>> single CS being recorded via a mixed TX/RX stream, then
>> the
>> >> >> >>>>>> metadata will have a single<stream>  element, which has a
>> >> >> >>>>>> label referencing a
>> >> >> RS
>> >> >> >>m-line.
>> >> >> >>
>> >> >> >>>>>> Mixed Stream Recording:
>> >> >> >>>>>>
>> >> >> >>>>>> Now if we add a 2nd CS to that RS, we will now have
>> >> two<Stream>
>> >> >> >>>>>> elements, one for each CS.
>> >> >> >>>>>> If they are both being mixed onto the one RS m-line
>> stream,
>> >> >> >>>>>> both <stream>  elements will have the same label, ie:
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>> <stream id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>
>> >> >> >>>>>>
>> >> >> >>>>>> Duplicate Stream Recording If we have a a persistent RS
>> >> >> >>>>>> with a two m-line's for
>> >> duplicated
>> >> >> >>>>>> recording, then the metadata will have a single<stream>
>> >> >> element,
>> >> >> >>>>>> which has a two labels referencing both the RS m-lines.
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>
>> >> >> >>
>> >> >> >>
>> >> >> >>Rgds
>> >> >> >>John Stafford | Solution Architect 1 | BT Global Services |
>> >> Tel:+44
>> >> >> >>(0)1932 773504   | E: [email-masked]  |
>> >> >> >>www.bt.com/globalservices
>> >> >> >>________________________________________
>> >> >> >>From: [email-masked] [[email-masked]] On
>> Behalf
>> >> Of
>> >> >> >>Paul Kyzivat [[email-masked]]
>> >> >> >>Sent: 10 May 2012 21:02
>> >> >> >>To: Joe Hildebrand
>> >> >> >>Cc: [email-masked]
>> >> >> >>Subject: Re: [siprec] Proposal for minor changes to metadata
>> >> >> >>to
>> >> >> support
>> >> >> >>mixed stream and duplicated stream recording.
>> >> >> >>
>> >> >> >>On 5/10/12 11:20 AM, Joe Hildebrand wrote:
>> >> >> >>> id is supposed to be unique across the entire document.  In
>> >> >> >>> some processing software (such as CSS), id has special
>> >> >> >>> syntax that takes advantage of that assumption.
>> >> >> >>
>> >> >> >>OK, I'll take your word for it, since it sounds like otherwise
>> it
>> >> >> would
>> >> >> >>take me down a rat hole that I would rather avoid.
>> >> >> >>
>> >> >> >>        Thanks,
>> >> >> >>        Paul
>> >> >> >>
>> >> >> >>> On 5/10/12 7:13 AM, "Ravindran,
>> >> >> >>> Parthasarathi"<[email-masked]>
>> >> >> >>> wrote:
>> >> >> >>>
>> >> >> >>>> Paul,
>> >> >> >>>>
>> >> >> >>>> XML:id attribute is mentioned in http://www.w3.org/TR/xml-
>> id/
>> >> and
>> >> >> >>>> each element in XML document has at most one single unique
>> >> >> >identifier
>> >> >> >>"id".
>> >> >> >>>>
>> >> >> >>>> Including Joe in this mail thread.
>> >> >> >>>>
>> >> >> >>>> Thanks
>> >> >> >>>> Partha
>> >> >> >>>>
>> >> >> >>>>> -----Original Message-----
>> >> >> >>>>> From: [email-masked]
>> >> >> >>>>> [mailto:[email-masked]] On Behalf Of Paul Kyzivat
>> >> >> >>>>> Sent: Wednesday, May 09, 2012 7:45 PM
>> >> >> >>>>> To: [email-masked]
>> >> >> >>>>> Subject: Re: [siprec] Proposal for minor changes to
>> metadata
>> >> to
>> >> >> >>>>> support mixed stream and duplicated stream recording.
>> >> >> >>>>>
>> >> >> >>>>> The new form reads nicely, but it is a bit verbose.
>> >> >> >>>>> I'd be interested to hear more about why "id" is *special*
>> in
>> >> >> XML.
>> >> >> >>>>>
>> >> >> >>>>> Thanks,
>> >> >> >>>>> Paul
>> >> >> >>>>>
>> >> >> >>>>> On 5/9/12 9:44 AM, Ravindran, Parthasarathi wrote:
>> >> >> >>>>>> Hi John,
>> >> >> >>>>>>
>> >> >> >>>>>> Sorry for the delay reply. In the object model, there is
>> >> >> >>>>>> unique-
>> >> >> id
>> >> >> >>>>>> and association related to the object. In case of XML
>> >> >> >>>>>> representation, unique-id of the object is represented as
>> >> >> >>>>>> XML attribute "id" and the association of the object is
>> >> represented
>> >> >> by
>> >> >> >>second attribute .
>> >> >> >>>>>>
>> >> >> >>>>>> While I discussing with XML experts, I understand that
>> "id"
>> >> has
>> >> >> >>>>>> special meaning in XML and it should not be repeated. So,
>> >> >> >>>>>> I'm proposing to have object name with id for both
>> >> >> >>>>>> attributes and
>> >> >> XML
>> >> >> >>>>> looks as follows:
>> >> >> >>>>>>
>> >> >> >>>>>> <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session_id="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream stream_id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session_id=" zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label> </stream> <stream
>stream_id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session_id=" zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream stream_id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session_id="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> Please let me know your opinion on the same.
>> >> >> >>>>>>
>> >> >> >>>>>> Thanks
>> >> >> >>>>>>
>> >> >> >>>>>> Partha
>> >> >> >>>>>>
>> >> >> >>>>>> *From:[email-masked]
>> >> >> >>>>>> [mailto:[email-masked]]
>> >> >> >>>>>> *Sent:* Thursday, March 29, 2012 2:35 PM
>> >> >> >>>>>> *To:* Ravindran, Parthasarathi; [email-masked]
>> >> >> >>>>>> *Subject:* RE: [siprec] Proposal for minor changes to
>> >> metadata
>> >> >> to
>> >> >> >>>>>> support mixed stream and duplicated stream recording.
>> >> >> >>>>>>
>> >> >> >>>>>> Partha,
>> >> >> >>>>>>
>> >> >> >>>>>> so you are saying there is no need to allow multiple
>> labels
>> >> on
>> >> >> >>>>>> a stream element, as a stream elemet can be repeated in
>> the
>> >> >> metadata
>> >> >> >>>>> multiple times.
>> >> >> >>>>>>
>> >> >> >>>>>> I dont see how this matches the object model, a element
>> with
>> >> a
>> >> >> >>>>>> unique id can surely on occur once in the matadata.
>> >> >> >>>>>>
>> >> >> >>>>>> Rgds
>> >> >> >>>>>>
>> >> >> >>>>>> John Stafford | Solution Architect 1 | BT Global Services
>> |
>> >> >> >Tel:+44
>> >> >> >>>>>> <Tel:+44>  (0)1932 773504 | E: [email-masked]
>> >> >> >>>>>> <mailto:[email-masked]>  |
>> >> >> >>>>>> _www.bt.com/globalservices
>> >> >> >>>>>> <http://www.bt.com/globalservices>_
>> >> >> >>>>>>
>> >> >> >>>>>> ---------------------------------------------------------
>> >> >> >>>>>> -
>> --
>> >> >> >>>>>> -
>> >> --
>> >> >> >>>>>> -
>> >> >> --
>> >> >> >-
>> >> >> >>>>>> ---
>> >> >> >>>>>> --
>> >> >> >>>>>>
>> >> >> >>>>>> *From:*Ravindran, Parthasarathi [[email-masked]]
>> >> >> >>>>>> *Sent:* 28 March 2012 22:42
>> >> >> >>>>>> *To:* Stafford,J,John,JRJ3X C; [email-masked]
>> >> >> >>>>>> <mailto:[email-masked]>
>> >> >> >>>>>> *Subject:* RE: [siprec] Proposal for minor changes to
>> >> metadata
>> >> >> to
>> >> >> >>>>>> support mixed stream and duplicated stream recording.
>> >> >> >>>>>>
>> >> >> >>>>>> John,
>> >> >> >>>>>>
>> >> >> >>>>>> I'll explain how to form metadata XML element for your
>> >> >> >requirement:
>> >> >> >>>>>>
>> >> >> >>>>>> "Siprec support for recording same CS stream in multiple
>> >> >> >>>>>> m
>> >> line
>> >> >> >>>>>> streams of 1 RS:
>> >> >> >>>>>> This is the converse of the above, I propose that
>> >> >> >>>>>> multiple
>> >> >> labels
>> >> >> >>>>>> be allowed in a stream element, the meaning would be that
>> >> >> >>>>>> the stream is recorded in all of the referenced recording
>> >> >> >>>>>> m-line
>> >> >> >>streams."
>> >> >> >>>>>>
>> >> >> >>>>>> Here, There are two CS's, 2 m'line and 1 RS. For
>> >> >> >>>>>> representing as per current XML schema is as follows,
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session=" zSfPoSvdSDCmU3A3TRDxAw=="> <label>99</label>
>> >> >> >>>>>> </stream> <stream id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session=" zzlafnvvjlCHllaHF6mn8kkSS==">
>> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>> Could you please explain the issue in the above approach.
>> >> >> >>>>>>
>> >> >> >>>>>> Thanks
>> >> >> >>>>>>
>> >> >> >>>>>> Partha
>> >> >> >>>>>>
>> >> >> >>>>>> *From:[email-masked]<mailto:siprec-
>> >> [email-masked]>
>> >> >> >>>>>> [mailto:[email-masked]] *On Behalf Of
>> >> >> >>>>>> [email-masked] <mailto:[email-masked]>
>> >> >> >>>>>> *Sent:* Wednesday, March 28, 2012 8:19 PM
>> >> >> >>>>>> *To:* [email-masked]<mailto:[email-masked]>
>> >> >> >>>>>> *Subject:* [siprec] Proposal for minor changes to
>> >> >> >>>>>> metadata to support mixed stream and duplicated stream
>recording.
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> This is as follow up to the threads "How to specify in
>> >> metadata
>> >> >> >>>>>> that multiple CS's are being recorded in a single mixed
>> >> >> >>>>>> RS
>> m
>> >> >> line
>> >> >> >>>>>> stream"
>> >> >> >>>>>> http://www.ietf.org/mail-
>> >> >> archive/web/siprec/current/msg03126.html
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> "How to specify in metadata that a participants stream is
>> >> being
>> >> >> >>>>>> recorded in multiple m line streams"
>> >> >> >>>>>> http://www.ietf.org/mail-
>> >> >> archive/web/siprec/current/msg03107.html
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Siprec support for mixed stream recording:
>> >> >> >>>>>> I propose multiple streams would use the same label,
>> >> >> >>>>>>
>> >> >> >>>>>> indicating that the streams are recorded in the same
>> >> recording
>> >> >> >>>>>> m-line stream.
>> >> >> >>>>>>
>> >> >> >>>>>> Siprec support for recording same CS stream in multiple m
>> >> line
>> >> >> >>>>>> streams of 1 RS:
>> >> >> >>>>>> This is the converse of the above, I propose that
>> >> >> >>>>>> multiple
>> >> >> labels
>> >> >> >>>>>> be allowed in a stream element, the meaning would be that
>> >> >> >>>>>> the stream is recorded in all of the referenced recording
>> >> >> >>>>>> m-line
>> >> >> >>streams.
>> >> >> >>>>>>
>> >> >> >>>>>> Implications for existing metadata specification:
>> >> >> >>>>>> This does not change the existing metadata usage of
>> streams
>> >> and
>> >> >> >>>>>> labels, it just adds more flexibility.
>> >> >> >>>>>> The only changes required would be that 1. stream's label
>> >> >> element
>> >> >> >>>>>> maxoccurs="1" restriction would need to be removed 2.
>> there
>> >> >> would
>> >> >> >>>>>> be a 1:n stream:label relationship not 1:1.
>> >> >> >>>>>> I can't see anything in draft-ietf-siprec-metadata-06
>> >> >> >>>>>> that
>> >> says
>> >> >> >>>>>> there is a 1:1 relationship anyway.
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Examples:
>> >> >> >>>>>> Mixed Stream Recording:
>> >> >> >>>>>> If we have a persistent RS with a single m-line, and a
>> >> >> >>>>>> single CS being recorded via a mixed TX/RX stream, then
>> the
>> >> >> >>>>>> metadata will have a single<stream>  element, which has a
>> >> >> >>>>>> label referencing a
>> >> >> RS
>> >> >> >>m-line.
>> >> >> >>>>>>
>> >> >> >>>>>> Now if we add a 2nd CS to that RS, we will now have
>> >> two<Stream>
>> >> >> >>>>>> elements, one for each CS.
>> >> >> >>>>>> If they are both being mixed onto the one RS m-line
>> stream,
>> >> >> >>>>>> both <stream>  elements will have the same label, ie:
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>> <stream id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Duplicate Stream Recording If we have a persistent RS
>> >> >> >>>>>> with a single m-line, and a single CS being recorded via
>> >> >> >>>>>> a mixed TX/RX stream, then
>> the
>> >> >> >>>>>> metadata will have a single<stream>  element, which has a
>> >> >> >>>>>> label referencing a
>> >> >> RS
>> >> >> >>m-line.
>> >> >> >>>>>>
>> >> >> >>>>>> If we have a a persistent RS with a two m-line's for
>> >> duplicated
>> >> >> >>>>>> recording, then the metadata will have a single<stream>
>> >> >> element,
>> >> >> >>>>>> which has a two labels referencing both the RS m-lines.
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Finally, we could have both the above scenarios together,
>> >> where
>> >> >> >the
>> >> >> >>>>>> mixed two CS recording is duplicated:
>> >> >> >>>>>>
>> >> >> >>>>>> <stream id="Axzg12XHdhjelfjhdldjf;34jn78=="
>> >> >> >>>>>> session="zzlafnvvjlCHllaHF6mn8kkSS==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>> <stream id="EiXGlc+4TruqqoDaNE76ag=="
>> >> >> >>>>>> session="zSfPoSvdSDCmU3A3TRDxAw==">
>> >> >> >>>>>> <label>99</label>
>> >> >> >>>>>> <label>100</label>
>> >> >> >>>>>> </stream>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> So why do I think siprec should support these changes ?
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Requirements for mixed stream recording:
>> >> >> >>>>>>
>> >> >> >>>>>> RFC6341 refers to mixed recording in use cases 3 and 11
>> and
>> >> in
>> >> >> REQ
>> >> >> >>9::
>> >> >> >>>>>>
>> >> >> >>>>>> In Use Case 3:
>> >> >> >>>>>> In some cases, more than one concurrent Communication
>> >> >> >>>>>> Session
>> >> >> (on
>> >> >> >a
>> >> >> >>>>>> single end-user apparatus, e.g., trading-floor turret) is
>> >> mixed
>> >> >> >>>>>> into one Recording Session:
>> >> >> >>>>>>
>> >> >> >>>>>> |-------- CS 1 -------|
>> >> >> >>>>>> |-------- CS 2 -------|
>> >> >> >>>>>> |-------- CS 3 -------|
>> >> >> >>>>>>
>> >> >> >>>>>> RS |----------- Recording Session --------------|
>> >> >> >>>>>> t--->
>> >> >> >>>>>>
>> >> >> >>>>>> In Use case 11:
>> >> >> >>>>>> In trading-floor environments, in order to minimize
>> storage
>> >> and
>> >> >> >>>>>> recording system resources, it may be preferable to mix
>> >> >> >>>>>> multiple concurrent calls (Communication Sessions) on
>> >> different
>> >> >> >>>>>> handsets/ speakers on the same turret into a single
>> >> >> >>>>>> recording
>> >> >session.
>> >> >> >>>>>>
>> >> >> >>>>>> REQ-009: The mechanism MUST support the ability for an
>> >> >> >>>>>> SRC to deliver mixed audio streams from different parties
>> >> >> >>>>>> of a given Communication Session to an SRS.
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> To me this implies multiple CS's in one mixed recorder
>> >> stream,
>> >> >> >>>>>> since the requirement specifically
>> >> >> >>>>>>
>> >> >> >>>>>> says "mix", and "to minimise storage".
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> Requirements for Duplicated stream recording:
>> >> >> >>>>>> RFC6341 does not specifically mention duplicated
>> >> >> >>>>>> recording
>> >> But
>> >> >> >>>>>> I don't think allowing it would complicate the metadata,
>> and
>> >> it
>> >> >> will
>> >> >> >>>>>> be down to the recorder
>> >> >> >>>>>>
>> >> >> >>>>>> implementation how it handles the duplicated CS
>recording.
>> >> >> >>>>>>
>> >> >> >>>>>> Rgds
>> >> >> >>>>>>
>> >> >> >>>>>> John Stafford | Solution Architect 1 | BT Global Services
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>>
>> >> >> >>>>>> _______________________________________________
>> >> >> >>>>>> siprec mailing list
>> >> >> >>>>>> [email-masked]
>> >> >> >>>>>> https://www.ietf.org/mailman/listinfo/siprec
>> >> >> >>>>>
>> >> >> >>>>> _______________________________________________
>> >> >> >>>>> siprec mailing list
>> >> >> >>>>> [email-masked]
>> >> >> >>>>> https://www.ietf.org/mailman/listinfo/siprec
>> >> >> >>>
>> >> >> >>
>> >> >> >>_______________________________________________
>> >> >> >>siprec mailing list
>> >> >> >>[email-masked]
>> >> >> >>https://www.ietf.org/mailman/listinfo/siprec
>> >> >> >_______________________________________________
>> >> >> >siprec mailing list
>> >> >> >[email-masked]
>> >> >> >https://www.ietf.org/mailman/listinfo/siprec
>> >> >> _______________________________________________
>> >> >> siprec mailing list
>> >> >> [email-masked]
>> >> >> https://www.ietf.org/mailman/listinfo/siprec